Package com.google.android.exoplayer2.testutil

## Class FakeDataSet.FakeData

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeDataSet.FakeData

- Enclosing class:
    FakeDataSet

      public static final class FakeDataSet.FakeData
      extends Object

  Container of fake data to be served by a `FakeDataSource`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FakeDataSet.FakeData.Segment` | A segment of `FakeDataSet.FakeData`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Uri` | `uri` | Uri of the data or null if this is the default FakeData.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FakeDataSet.FakeData` | `appendReadAction​(Runnable action)` | Appends an action.
    `FakeDataSet.FakeData` | `appendReadData​(byte[] data)` | Appends to the underlying data.
    `FakeDataSet.FakeData` | `appendReadData​(int length)` | Appends a data segment of the specified length.
    `FakeDataSet.FakeData` | `appendReadError​(IOException exception)` | Appends an error in the underlying data.
    `FakeDataSet` | `endData()` | Returns the `FakeDataSet` this FakeData belongs to.
    `byte[]` | `getData()` | Returns the whole data added by `appendReadData(byte[])`.
    `List<FakeDataSet.FakeData.Segment>` | `getSegments()` | Returns the list of `FakeDataSet.FakeData.Segment`s.
    `boolean` | `isSimulatingUnknownLength()` | Returns whether unknown length is simulated
    `FakeDataSet.FakeData` | `setSimulateUnknownLength​(boolean simulateUnknownLength)` | When set, `FakeDataSource.open(DataSpec)` will behave as though the source is unable to determine the length of the underlying data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uri

          @Nullable
          public final Uri uri

      Uri of the data or null if this is the default FakeData.

  - ### Method Detail

    - #### endData

          public FakeDataSet endData()

      Returns the `FakeDataSet` this FakeData belongs to.

    - #### setSimulateUnknownLength

          public FakeDataSet.FakeData setSimulateUnknownLength​(boolean simulateUnknownLength)

      When set, `FakeDataSource.open(DataSpec)` will behave as though the source is unable to determine the length of the underlying data. Hence the return value will always be equal to the `DataSpec.length` of the argument, including the case where the length is equal to `C.LENGTH_UNSET`.

    - #### appendReadData

          public FakeDataSet.FakeData appendReadData​(byte[] data)

      Appends to the underlying data.

    - #### appendReadData

          public FakeDataSet.FakeData appendReadData​(int length)

      Appends a data segment of the specified length. No actual data is available and the `FakeDataSource` will perform no copy operations when this data is read.

    - #### appendReadError

          public FakeDataSet.FakeData appendReadError​(IOException exception)

      Appends an error in the underlying data.

    - #### appendReadAction

          public FakeDataSet.FakeData appendReadAction​(Runnable action)

      Appends an action.

    - #### getData

          public byte[] getData()

      Returns the whole data added by `appendReadData(byte[])`.

    - #### getSegments

          public List<FakeDataSet.FakeData.Segment> getSegments()

      Returns the list of `FakeDataSet.FakeData.Segment`s.

    - #### isSimulatingUnknownLength

          public boolean isSimulatingUnknownLength()

      Returns whether unknown length is simulated